Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.cluster
Interface RemoteClusterService

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteClusterService

extends java.rmi.Remote

The `RemoteClusterService` interface provides methods to access cluster active members information and load balancer via RMI.
This is an RMI-based interface, invocation on the method of this interface will bring an RMI call on the associated JReport Server underlying `ClusterService`.

Since:
  5.2
See Also:
  `ClusterService`

Method Summary
`Member` | `getAdminMember()` Deprecated. no replacement. As of 10.1. Further, the behavior of this call is never specified.
`Member[]` | `getAllMembers()` Returns all active members of the cluster.
`java.lang.String` | `getClusterName()` Returns the cluster name.
`RemoteLoadBalancer` | `getDefaultLoadBalancer()` Gets the default load balancer.
`Member` | `getLocalMember()` Returns the local member.
`Member` | `getMember()` Selects a member by a load balancer. If the load balancer is null, this call returns localMember.
`boolean` | `isAdminServerCrashed()` Deprecated. no replacement. As of 10.0, this call returns false.
`boolean` | `isTaskQueueFull(int priority)` Deprecated. no replacement. As of 10.0, this call returns false.
`void` | `registerLocalMember()` Deprecated. no replacement. As of 10.0, this call NOP.
`void` | `removeLocalMember()` Deprecated. no replacement. As of 10.0, this call NOP.
`void` | `setDefaultLoadBalancer(RemoteLoadBalancer lb)` Sets customized load balancer to replace the default load balancer.

Method Detail

### getClusterName

    java.lang.String getClusterName()
                                    throws java.rmi.RemoteException

  Returns the cluster name.

  Returns:
    the cluster name.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### getAllMembers

    Member[] getAllMembers()
                           throws java.rmi.RemoteException,
                                  ClusterException

  Returns all active members of the cluster.

  Returns:
    all active members.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution
    `ClusterException` - if this method is called after the cluster shuts down.

### getLocalMember

    Member getLocalMember()
                          throws java.rmi.RemoteException

  Returns the local member.

  Returns:
    the local member.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs in the remote Server.

### getAdminMember

    Member getAdminMember()
                          throws java.rmi.RemoteException,
                                 ClusterException

  Deprecated. no replacement. As of 10.1. Further, the behavior of this call is never specified.

  Returns the admin member of the cluster.

  Returns:
    the admin member.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution
    `ClusterException` - if this method is called after the cluster shuts down.

### getDefaultLoadBalancer

    RemoteLoadBalancer getDefaultLoadBalancer()
                                              throws java.rmi.RemoteException

  Gets the default load balancer.

  Returns:
    the default load balancer.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setDefaultLoadBalancer

    void setDefaultLoadBalancer(RemoteLoadBalancer lb)
                                throws java.rmi.RemoteException

  Sets customized load balancer to replace the default load balancer.

  Parameters:
    `lb` - the load balancer instance, if null, `getMember` will return localMember.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution
  See Also:
    `getMember()`

### getMember

    Member getMember()
                     throws java.rmi.RemoteException

  Selects a member by a load balancer.
  If the load balancer is null, this call returns localMember.

  Returns:
    the selected member.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution
  See Also:
    `setDefaultLoadBalancer(RemoteLoadBalancer)`

### registerLocalMember

    void registerLocalMember()
                             throws java.rmi.RemoteException,
                                    ClusterException

  Deprecated. no replacement. As of 10.0, this call NOP.

  Registers a local member in the cluster's member table.

  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution
    `ClusterException` - if this method is called after the cluster shuts down.

### removeLocalMember

    void removeLocalMember()
                           throws java.rmi.RemoteException,
                                  ClusterException

  Deprecated. no replacement. As of 10.0, this call NOP.

  Removes a local member from the cluster's member table.

  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution
    `ClusterException` - if this method is called after the cluster shuts down.

### isAdminServerCrashed

    boolean isAdminServerCrashed()
                                 throws java.rmi.RemoteException

  Deprecated. no replacement. As of 10.0, this call returns false.

  Judges if the admin server is really crashed. Invoke this method when java.rmi.ConnectException or java.rmi.ConnectIOExcetpion is caught.

  Returns:
    true if the admin server is really crashed, otherwise false.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### isTaskQueueFull

    boolean isTaskQueueFull(int priority)
                            throws java.rmi.RemoteException,
                                   ClusterException

  Deprecated. no replacement. As of 10.0, this call returns false.

  Returns whether the cluster server task queue is full.

  Returns:
    If the cluster task queue is full return true, otherwise return false
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution
    `ClusterException` - if this method is called after the cluster shuts down.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD